> For the complete documentation index, see [llms.txt](https://docs.digitalturbine.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digitalturbine.com/dt-ignite/use-cases/cancelling-a-task.md).

# Cancelling a Task

You can cancel any ongoing task. To do so, call the [`cancelTask()` method](/dt-ignite/sdk-reference/cancel-a-task.md) and provide the `taskId`. When you call `cancelTask`, all work stops on the indicated task, and Ignite does *not* provide task cancellation confirmation.

The following sequence diagram outlines the flow for a Host App to cancel an active task using the DTIS SDK.

{% @mermaid/diagram content="sequenceDiagram
participant Host as Host App
participant SDK as Ignite
autonumber

```
Host ->> SDK: Initialize and Connect
Host ->> SDK: DTIS SDK Method
opt callback and/or broadcast
    SDK -->> Host: notifications that include taskId
end

Host ->> SDK: cancelTask(taskId)
SDK ->> SDK: Cancel task" %}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.digitalturbine.com/dt-ignite/use-cases/cancelling-a-task.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
